Jun 262012
 

# -*- coding: utf-8 -*-
import rhinoscriptsyntax as rs
import rhinoscriptsyntax as rs
#import math as m
#グリッドの範囲を決める
x=rs.GetReal("x軸方向にグリッドを引く範囲を入力してください")
y=rs.GetReal("y軸方向にグリッドを引く範囲を入力してください")
z=rs.GetReal("z軸方向にグリッドを引く範囲を入力してください")
#x軸とy軸にz軸に線を引く
objX=rs.AddLine((0,0,0),(x,0,0))
objY=rs.AddLine((0,0,0),(0,y,0))
objZ=rs.AddLine((0,0,0),(0,0,z))

#グリッドの寸法を決める
grid=rs.GetReal("gridの寸法を入力してください")
pitchX=int(round(x//grid))+1
pitchY=int(round(y//grid))+1
pitchZ=int(round(z//grid))+1

#for文でx軸方向にz軸の線をcopyする
for i in range(0,pitchX):
	translationX=[grid*i,0,0]
	point=rs.AddPoint([0,0,0])
	objc1=rs.CopyObject(objZ,translationX)
	#for文でy軸方向にz軸の線をcopyする
	for j in range(0,pitchY):
		translationY=[0,grid*j,0]
		rs.CopyObject(objc1,translationY)
#for文でy軸方向にx軸の線分をcopyする
for j in range(0,pitchY):
	translationY1=[0,grid*j,0]
	objc2=rs.CopyObject(objX,translationY1)
	#for文でz軸方向にx軸の線分をcopyする
	for k in range(0,pitchZ):
		translationZ=[0,0,grid*k]
		rs.CopyObject(objc2,translationZ)
#for文でx軸方向にy軸の線分をcopyする
for i in range(0,pitchX):
	translationX1=[grid*i,0,0]
	objc3=rs.CopyObject(objY,translationX1)
	#for文でz軸方向にy軸の線分をcopyする
	for k in range(0,pitchZ):
		translationZ1=[0,0,grid*k]
		rs.CopyObject(objc3,translationZ1)

作成(入矢佳紀)